/*## (c) SECURITY EXPLORATIONS    2013 poland                                #*/
/*##     http://www.security-explorations.com                                #*/

/* THIS SOFTWARE IS PROTECTED BY DOMESTIC AND INTERNATIONAL COPYRIGHT LAWS    */
/* UNAUTHORISED COPYING OF THIS SOFTWARE IN EITHER SOURCE OR BINARY FORM IS   */
/* EXPRESSLY FORBIDDEN. ANY USE, INCLUDING THE REPRODUCTION, MODIFICATION,    */
/* DISTRIBUTION, TRANSMISSION, RE-PUBLICATION, STORAGE OR DISPLAY OF ANY      */
/* PART OF THE SOFTWARE, FOR COMMERCIAL OR ANY OTHER PURPOSES REQUIRES A      */
/* VALID LICENSE FROM THE COPYRIGHT HOLDER.                                   */
/* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS    */
/* OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,*/
/* FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL    */
/* SECURITY EXPLORATIONS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, */
/* WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF  */
/* OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE     */
/* SOFTWARE.                                                                  */

import java.sql.*;
import java.io.*;

public class SQL {
  public static PrintStream out;

  public static void select(Connection conn,String query) {
   try {
     if (out!=null) out.println("-> "+query);

     Statement stmt = conn.createStatement();

     try {
      ResultSet rset = stmt.executeQuery(query);
      try {
        while (rset.next()) {
         out.println (rset.getString(1));
        }
       } finally {
         try { rset.close(); } catch (Exception t) {}
       }
      } finally {
        try { stmt.close(); } catch (Exception t) {}
      }

      try { stmt.close(); } catch (Exception t) {}
    } catch (Exception t) {}
  }

  public static Connection init(String db,String user,String pass,PrintStream output) {
   Connection res=null;

   try {
     Class.forName ("oracle.jdbc.OracleDriver");
     out=output;

     res=DriverManager.getConnection(db,user,pass);
   } catch(Throwable t) {}

   return res;
  }

}
